@echo off
title THIET LAP CHUOT
net session >nul 2>&1

if %errorlevel% neq 0 (
    echo.
    echo Can co quyen quan tri "Administrator".
    pause
)

:menu
cls
echo.
echo HUNGNP18@FPT.COM
echo -------------------------------
echo MENU THIET LAP CHUOT
echo -------------------------------
echo 1. Normal (Binh thuong)
echo 2. Large (Lon hon)
echo 3. XtraLarge (Lon nhat)
echo -------------------------------
set /p choice=Nhap lua chon: 

if "%choice%"=="1" goto Normal
if "%choice%"=="2" goto Large
if "%choice%"=="3" goto XtraLarge
goto menu

:Normal
set "SRC=%~dp0\Customize\Cursors\Normal"
goto apply

:Large
set "SRC=%~dp0\Customize\Cursors\Large"
goto apply

:XtraLarge
set "SRC=%~dp0\Customize\Cursors\XtraLarge"
goto apply

:apply
set "DST=%SystemRoot%\Web\Wallpaper\Windows\Cursors"

if not exist "%DST%" (
    mkdir "%DST%"
)

xcopy "%SRC%" "%DST%" /I /Y
reg add "HKCU\Control Panel\Cursors" /v AppStarting /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Working.ani" /f
reg add "HKCU\Control Panel\Cursors" /v Arrow /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Normal.cur" /f
reg add "HKCU\Control Panel\Cursors" /v Crosshair /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Precision.cur" /f
reg add "HKCU\Control Panel\Cursors" /v Hand /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Link.cur" /f
reg add "HKCU\Control Panel\Cursors" /v Help /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Help.cur" /f
reg add "HKCU\Control Panel\Cursors" /v IBeam /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Text.cur" /f
reg add "HKCU\Control Panel\Cursors" /v No /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Unavailable.cur" /f
reg add "HKCU\Control Panel\Cursors" /v NWPen /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Handwriting.cur" /f
reg add "HKCU\Control Panel\Cursors" /v Person /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Person.cur" /f
reg add "HKCU\Control Panel\Cursors" /v Pin /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Pin.cur" /f
reg add "HKCU\Control Panel\Cursors" /v SizeAll /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Move.cur" /f
reg add "HKCU\Control Panel\Cursors" /v SizeNESW /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Diagonal Resize 2.cur" /f
reg add "HKCU\Control Panel\Cursors" /v SizeNS /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Vertical Resize.cur" /f
reg add "HKCU\Control Panel\Cursors" /v SizeNWSE /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Diagonal Resize 1.cur" /f
reg add "HKCU\Control Panel\Cursors" /v SizeWE /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Horizontal Resize.cur" /f
reg add "HKCU\Control Panel\Cursors" /v UpArrow /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Alternate.cur" /f
reg add "HKCU\Control Panel\Cursors" /v Wait /t REG_SZ /d "%SystemRoot%\Web\Wallpaper\Windows\Cursors\Busy.ani" /f

RUNDLL32.EXE USER32.DLL,UpdatePerUserSystemParameters ,1 ,True
taskkill /f /im explorer.exe
start explorer.exe
pause
goto menu




